Skip to main content
`Ctrl`+`K`

# DSSolve

Solve the problem.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSolve(DS ds,PetscScalar eigr[],PetscScalar eigi[])

Logically Collective

## Input Parameters

- ds - the direct solver context

- eigr - array to store the computed eigenvalues (real part)

- eigi - array to store the computed eigenvalues (imaginary part)

## Notes

This call brings the dense system to condensed form. No ordering of the eigenvalues is enforced (for this, call `DSSort()` afterwards).

In some `DS` types, the arguments will hold singular values, instead of eigenvalues. Singular values are always real.

## See Also

DS: Direct Solver (or Dense System), `DSSort()`, `DSStateType`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dsops.c

## Implementations

DSSolve_GHEP() in src/sys/classes/ds/impls/ghep/dsghep.c
DSSolve_GNHEP() in src/sys/classes/ds/impls/gnhep/dsgnhep.c
DSSolve_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSSolve_NHEP() in src/sys/classes/ds/impls/nhep/dsnhep.c
DSSolve_NHEPTS() in src/sys/classes/ds/impls/nhepts/dsnhepts.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages